Withdraw a quote
curl --request POST \
--url https://app.rookoo.ai/api/v1/accounts/{account_id}/planning/events/{event_id}/quotes/{id}/withdraw \
--header 'api_access_token: <api-key>'const options = {method: 'POST', headers: {api_access_token: '<api-key>'}};
fetch('https://app.rookoo.ai/api/v1/accounts/{account_id}/planning/events/{event_id}/quotes/{id}/withdraw', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.rookoo.ai/api/v1/accounts/{account_id}/planning/events/{event_id}/quotes/{id}/withdraw"
headers = {"api_access_token": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text){
"id": 123,
"account_id": 123,
"planning_event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"version": 123,
"name": "<string>",
"po_number": "<string>",
"notes": "<string>",
"contact_id": 123,
"company_id": 123,
"pricing_plan_id": 123,
"discount_code_id": 123,
"discount_code_ids": [
123
],
"currency": "<string>",
"total_incl_tax": 123,
"total_excl_tax": 123,
"total_tax": 123,
"breakdown": {},
"overrides": {},
"valid_until": "2023-12-25",
"public_token": "<string>",
"public_url": "<string>",
"preview_url": "<string>",
"download_url": "<string>",
"quote_sent_at": "2023-11-07T05:31:56Z",
"accepted_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Planning Quotes
Withdraw a quote
POST
/
api
/
v1
/
accounts
/
{account_id}
/
planning
/
events
/
{event_id}
/
quotes
/
{id}
/
withdraw
Withdraw a quote
curl --request POST \
--url https://app.rookoo.ai/api/v1/accounts/{account_id}/planning/events/{event_id}/quotes/{id}/withdraw \
--header 'api_access_token: <api-key>'const options = {method: 'POST', headers: {api_access_token: '<api-key>'}};
fetch('https://app.rookoo.ai/api/v1/accounts/{account_id}/planning/events/{event_id}/quotes/{id}/withdraw', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.rookoo.ai/api/v1/accounts/{account_id}/planning/events/{event_id}/quotes/{id}/withdraw"
headers = {"api_access_token": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text){
"id": 123,
"account_id": 123,
"planning_event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"version": 123,
"name": "<string>",
"po_number": "<string>",
"notes": "<string>",
"contact_id": 123,
"company_id": 123,
"pricing_plan_id": 123,
"discount_code_id": 123,
"discount_code_ids": [
123
],
"currency": "<string>",
"total_incl_tax": 123,
"total_excl_tax": 123,
"total_tax": 123,
"breakdown": {},
"overrides": {},
"valid_until": "2023-12-25",
"public_token": "<string>",
"public_url": "<string>",
"preview_url": "<string>",
"download_url": "<string>",
"quote_sent_at": "2023-11-07T05:31:56Z",
"accepted_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
Response
200 - application/json
Success